=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-10-13 09:29:43 +0000
+++ client/drizzle.cc	2008-10-16 06:45:16 +0000
@@ -63,9 +63,6 @@
 /* Buffer to hold 'version' and 'version_comment' */
 #define MAX_SERVER_VERSION_LENGTH     128
 
-/* Array of options to pass to libdrizzled */
-#define MAX_SERVER_ARGS               64
-
 void* sql_alloc(unsigned size);       // Don't use drizzled alloc for these
 void sql_element_free(void *ptr);
 

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-10-16 06:32:59 +0000
+++ client/drizzletest.cc	2008-10-16 06:45:16 +0000
@@ -6358,18 +6358,6 @@
 
 
 /*
-  auxiluary macro used by reg_replace
-  makes sure the result buffer has sufficient length
-*/
-#define SECURE_REG_BUF   if (buf_len < need_buf_len)                    \
-  {                                                                     \
-    int off= res_p - buf;                                               \
-    buf= (char*)my_realloc(buf,need_buf_len,MYF(MY_WME+MY_FAE));        \
-    res_p= buf + off;                                                   \
-    buf_len= need_buf_len;                                              \
-  }                                                                     \
-                                                                        \
-/*
   Performs a regex substitution
 
   IN:

=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2008-10-06 00:33:01 +0000
+++ drizzled/definitions.h	2008-10-16 06:45:16 +0000
@@ -312,7 +312,6 @@
 #define TEST_PRINT_CACHED_TABLES 1
 #define TEST_NO_KEY_GROUP	 2
 #define TEST_MIT_THREAD		4
-#define TEST_BLOCKING		8
 #define TEST_KEEP_TMP_TABLES	16
 #define TEST_READCHECK		64	/**< Force use of readcheck */
 #define TEST_NO_EXTRA		128

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-09-16 09:41:23 +0000
+++ libdrizzle/client.c	2008-10-16 06:45:16 +0000
@@ -76,7 +76,6 @@
 #include <sys/un.h>
 
 #include <errno.h>
-#define SOCKET_ERROR -1
 
 
 #include <drizzled/version.h>

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-10-06 05:16:06 +0000
+++ libdrizzle/libdrizzle.c	2008-10-16 06:45:16 +0000
@@ -78,14 +78,6 @@
 unsigned int drizzle_port=0;
 
 #include <errno.h>
-#define SOCKET_ERROR -1
-
-/*
-  If allowed through some configuration, then this needs to
-  be changed
-*/
-#define MAX_LONG_DATA_LENGTH 8192
-#define unsigned_field(A) ((A)->flags & UNSIGNED_FLAG)
 
 
 static DRIZZLE_PARAMETERS drizzle_internal_parameters=

=== modified file 'libdrizzle/net_serv.c'
--- libdrizzle/net_serv.c	2008-10-02 18:10:11 +0000
+++ libdrizzle/net_serv.c	2008-10-16 06:45:16 +0000
@@ -44,12 +44,7 @@
 */
 
 
-#define update_statistics(A)
-#define thd_increment_bytes_sent(N)
-
-#define TEST_BLOCKING        8
 #define MAX_PACKET_LENGTH (256L*256L*256L-1)
-#define MIN_COMPRESS_LENGTH		50	/* Don't compress small bl. */
 
 static bool net_write_buff(NET *net, const unsigned char *packet, uint32_t len);
 
@@ -593,7 +588,6 @@
       break;
     }
     pos+=length;
-    update_statistics(thd_increment_bytes_sent(length));
   }
 end:
   if ((net->compress) && (packet != NULL))
@@ -696,7 +690,6 @@
       }
       remain -= (uint32_t) length;
       pos+= length;
-      update_statistics(thd_increment_bytes_received(length));
     }
     if (i == 0)
     {                    /* First parts is packet length */

=== modified file 'libdrizzle/password.c'
--- libdrizzle/password.c	2008-09-16 09:41:23 +0000
+++ libdrizzle/password.c	2008-10-16 06:45:16 +0000
@@ -164,10 +164,6 @@
 }
 
 
-/* Character to use as version identifier for version 4.1 */
-
-#define PVERSION41_CHAR '*'
-
 
 /*
     Convert given octet sequence to asciiz string of hex characters;

=== modified file 'mysys/charset.c'
--- mysys/charset.c	2008-10-06 06:47:29 +0000
+++ mysys/charset.c	2008-10-16 06:45:16 +0000
@@ -116,7 +116,6 @@
 }
 
 
-#define MY_MAX_ALLOWED_BUF 1024*1024
 #define MY_CHARSET_INDEX "Index.xml"
 
 const char *charsets_dir= NULL;

=== modified file 'mysys/default.c'
--- mysys/default.c	2008-10-06 06:47:29 +0000
+++ mysys/default.c	2008-10-16 06:45:16 +0000
@@ -48,7 +48,6 @@
 const char *default_directories[MAX_DEFAULT_DIRS + 1];
 
 static const char *f_extensions[]= { ".cnf", 0 };
-#define NEWLINE "\n"
 
 static int handle_default_option(void *in_ctx, const char *group_name,
                                  const char *option);

=== modified file 'mysys/my_access.c'
--- mysys/my_access.c	2008-10-06 05:57:49 +0000
+++ mysys/my_access.c	2008-10-16 06:45:16 +0000
@@ -33,8 +33,6 @@
   NULL
 };
 
-#define MAX_RESERVED_NAME_LENGTH 6
-
 
 /*
   Looks up a null-terminated string in a list,

=== modified file 'mysys/my_lib.c'
--- mysys/my_lib.c	2008-10-06 05:57:49 +0000
+++ mysys/my_lib.c	2008-10-16 06:45:16 +0000
@@ -22,10 +22,8 @@
 #include	"mysys_err.h"
 #if defined(HAVE_DIRENT_H)
 # include <dirent.h>
-# define NAMLEN(dirent) strlen((dirent)->d_name)
 #else
 # define dirent direct
-# define NAMLEN(dirent) (dirent)->d_namlen
 # if defined(HAVE_SYS_NDIR_H)
 #  include <sys/ndir.h>
 # endif

=== modified file 'mysys/thr_lock.c'
--- mysys/thr_lock.c	2008-10-09 22:38:27 +0000
+++ mysys/thr_lock.c	2008-10-16 06:45:16 +0000
@@ -94,10 +94,6 @@
 ulong table_lock_wait_timeout;
 enum thr_lock_type thr_upgraded_concurrent_insert_lock = TL_WRITE;
 
-/* The following constants are only for debug output */
-#define MAX_THREADS 100
-#define MAX_LOCKS   100
-
 
 LIST *thr_lock_thread_list;			/* List of threads in use */
 ulong max_write_lock_count= ~(ulong) 0L;
@@ -124,6 +120,9 @@
 }
 
 #ifdef EXTRA_DEBUG
+
+#define MAX_THREADS 100
+#define MAX_LOCKS   100
 #define MAX_FOUND_ERRORS	10		/* Report 10 first errors */
 static uint32_t found_errors=0;
 

